PPSERVER(1)

NAME
ppserver - manual page for Parallel Python Network Server

SYNOPSIS
ppserver [-hda] [-i interface] [-b broadcast] [-p port] [-w nworkers] [-s secret] [-t seconds]

DESCRIPTION
Parallel Python Network Server

OPTIONS

-h  this help message

-d  debug

-a  enable auto-discovery service

-r  restart worker process after each task completion

-n <proto>
    protocol number for pickle module

-c <path>
    path to config file

-i <interface>
    interface to listen

-b <broadcast>
    broadcast address for auto-discovery service

-p <port>
    port to listen

-w <nworkers>
    number of workers to start

-s <secret>
    secret for authentication

-t <seconds>
    timeout to exit if no connections with clients exist

Please visit http://www.parallelpython.com for extended up-to-date documentation, examples and support forums

SECURITY
Due to the security concerns it is highly recommended to run ppserver.py with an non-trivial secret key (-s command line argument) which should be paired with the matching secret keyword of PP Server class constructor. An alternative way to set a secret key is by assigning pp_secret variable in the configuration file .pythonrc.py which should be located in the user home directory (please make this file readable and writable only by user). The secret key set in .pythonrc.py could be overridden by command line argument (for ppserver.py) and secret keyword (for PP Server class constructor).

AUTHOR
This manual page was written by Sandro Tosi <matrixhasu@gmail.com>, and Vitalii Vanovschi support@parallelpython.com